#
# spec file for package bb (Version 1.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  aalib-devel autoconf slang xf86
# usedforbuild    aaa_base aaa_dir aalib-devel autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow slang strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         bb
Summary:      Audio-visual demonstration for text terminal
Version:      1.2
Release:      300
Copyright:  GPL
Group:      Amusements/Games
Source:     ftp://ftp.ta.jcu.cz/pub/aa/bb/bb-%{version}.tar.bz2
Patch:      bb-%{version}.dif

%description
BB is an high quality audio-visual demonstration for your text
terminal. It is portable demo, so you can run it on plenty of operating
systems and DOS.

Authors:
--------
    Filip Kupsa <kupsaf@feld.cvut.cz>
    Jan Hubicka <hubicka@paru.cas.cz>
    Mojmir Svoboda <titania@horac.ta.jcu.cz>
    Kamil Toman <toman@horac.ta.jcu.cz>

SuSE series: fun

%prep
%setup
%patch

%build
autoconf
CFLAGS=$RPM_OPT_FLAGS INSTALL_PROGRAM='${INSTALL} -s' \
./configure --prefix=/usr
make
make -C mikunix

%install
install -s bb bb_snd_server /usr/bin

%files
%doc ANNOUNCE README
/usr/bin/bb
/usr/bin/bb_snd_server

%changelog -n bb
* Fri Aug 31 2001 - ro@suse.de
- added slang to neededforbuild
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Mon Dec 11 2000 - ro@suse.de
- changed neededforbuild <aalibdev> to <aalib-devel>
* Mon Oct 16 2000 - schwab@suse.de
- Fix link order.
* Mon Sep 25 2000 - schwab@suse.de
- Add group tag.
* Mon Dec 06 1999 - ro@suse.de
- fix to compile on alpha
* Thu Nov 11 1999 - schwab@suse.de
- New package
